# fileTree

fun fileTree(baseDir: Any): ConfigurableFileTree

Creates a new ConfigurableFileTree using the given base directory.

The given `baseDir` path is evaluated as per file.

The returned file tree is lazy, so that it scans for files only when the contents of the file tree are queried. The file tree is also live, so that it scans for files each time the contents of the file tree are queried.

#### Return

The file tree.

#### Parameters

baseDir

The base directory of the file tree. Evaluated as per file.

fun fileTree(baseDir: Any, configuration: ConfigurableFileTree.() -> Unit): ConfigurableFileTree

Creates a new ConfigurableFileTree using the given base directory.

#### Return

The file tree.

#### Parameters

baseDir

The base directory of the file tree. Evaluated as per file.

configuration

The block to use to configure the file tree.

#### See also

SettingsScriptApi.fileTree